- entityDefinitions:
  - IDI_Task_ViewGetSpecifiedInstancesMethod: '{06397dfb-e3bd-49ef-94be-21a50febb05f}'
  - IDI_Task_EditGetSpecifiedInstancesMethod: '{9adb8299-dc98-4d1e-9827-ad7bf8cb6f90}'
  - IDE_GetSpecifiedInstancesMethod_View: '{57be6402-0c00-4d19-8eb0-0f859f7d13bd}'
  - IDE_GetSpecifiedInstancesMethod_Edit: '{1642e8e6-05de-4fdc-afb0-215e2292b425}'
  - IDE_GetSpecifiedInstancesMethod_Definition: '{53058b8e-85dd-49e6-844a-27c9e0c0e1e7}'
  - IDI_TaskCategory_GetSpecifiedInstancesMethod: '{0a6fc54e-e895-4e34-9542-daff360f08de}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewGetSpecifiedInstancesMethod;'
    name: 'View GSI - Get Specified Instances Method'
    initiatingElement: '&IDE_GetSpecifiedInstancesMethod_View;'
    taskCategory: '&IDI_TaskCategory_GetSpecifiedInstancesMethod;'

  - sequenceTask: '&IDI_Task_EditGetSpecifiedInstancesMethod;'
    name: 'Edit GSI - Get Specified Instances Method'
    initiatingElement: '&IDE_GetSpecifiedInstancesMethod_Edit;'
    taskCategory: '&IDI_TaskCategory_GetSpecifiedInstancesMethod;'

  - element: '&IDE_GetSpecifiedInstancesMethod_View;'
    name: 'view gsi'
    elementContents:
    - globalIdentifier: '{5113c063-11f1-44f2-a571-63af3e27401d}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{addeeff5-930e-49d9-a4fd-a3d4a1988579}'
      defaultDataType: '&IDE_GetSpecifiedInstancesMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_GetSpecifiedInstancesMethod_Definition;'
    name: 'gsi subedit'
    label: 'Return'
    elementContents:
    - globalIdentifier: '{32836b8c-8618-432a-833e-e808e3f09d65}'
      defaultDataType: '&IDR_Get_Specified_Instances_Method__returns__Work_Set;'
      label: 'Returns Work Set'
      order: a
    - globalIdentifier: '{c20ce3e5-2e69-4a6e-b636-741521273b2a}'
      defaultDataType: '&IDR_Get_Specified_Instances_Method__uses__Instance;'
      label: 'Get Instances'
      order: b

  - element: '&IDE_GetSpecifiedInstancesMethod_Edit;'
    name: 'edit gsi'
    elementContents:
    - globalIdentifier: '{10f8f6a5-384b-4f54-b137-05156ef8d6c5}'
      defaultDataType: '&IDE_Method_Common_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
    - globalIdentifier: '{80c833d1-5278-4d17-a898-d897ea90ea2c}'
      defaultDataType: '&IDE_GetSpecifiedInstancesMethod_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
